Download it now!
Bug 58636 - EDITING: Additional space at end of line in PDF files using PDF/A-1a
Summary: EDITING: Additional space at end of line in PDF files using PDF/A-1a
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta1
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2012-12-22 02:37 UTC by webofht-libreofficebugs002
Modified: 2018-09-15 19:11 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test odt document with Helvetica font used (and probably "embedded") (42.04 KB, application/vnd.oasis.opendocument.text)
2012-12-29 22:18 UTC, Marco Menardi
Details
pdf created by 3.6.2 under GNU/Linux (156.38 KB, application/pdf)
2012-12-29 22:19 UTC, Marco Menardi
Details
pdf created by 4.0.beta2 under GNU/Linux (155.44 KB, application/pdf)
2012-12-29 22:19 UTC, Marco Menardi
Details
pdf created by 4.0.beta2 under Windows XP (2.09 KB, application/pdf)
2012-12-29 22:21 UTC, Marco Menardi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description webofht-libreofficebugs002 2012-12-22 02:37:22 UTC
Problem description: Two PDF files are generated on Linux and Windows. An additional space is found at the end of most lines in a PDF file on Linux. No additional space is found in the PDF file on Windows.

Steps to reproduce:
1. The first operating system used is Linux debian 2.6.32-5-686 #1 SMP Sun Sep 23 09:49:36 UTC 2012 i686 GNU/Linux (Linux). The second operating system used is Windows 7 Professional (Win7).
2. The OpenDocument Text (ODT) file can be found here:
https://update.cabinetoffice.gov.uk/sites/default/files/resources/govt-ict-sip.odt
3. LibreOffice 3.6.3-> File-> Open-> (the file mentioned above)-> File-> Export as PDF (PDF/A-1a) 
4. LibreOffice 3.6.3-> File-> Open-> (the file mentioned above)-> File-> Export as PDF (PDF/A-1a) 
5. Compare and contrast the two PDF files of the same ODT file. See the lines:

... [on Windows]
This Government is committed to reducing waste and delivering modern public
services at lower cost. We have already saved hundreds of millions of pounds in
2010/11 by stopping or reducing spend on ‘low value’ ICT projects. These quick wins
demonstrate what can be achieved by taking a whole of government approach and

... [on Linux]
This Government is committed to reducing waste and delivering modern public 
services at lower cost. We have already saved hundreds of millions of pounds in 
2010/11 by stopping or reducing spend on ‘low value’ ICT projects. These quick wins 
demonstrate what can be achieved by taking a whole of government approach and 

6. Use LibreOffice 4.0.0.0 Beta1 and the results are the same.

Current behavior: LibreOffice on Win7 does not add an additional space at the end of each line. LibreOffice on Linux adds an additional space at the end of each line.

Expected behavior: The additional space at the end of the line should be removed.

              
Operating System: Debian
Version: 4.0.0.0.beta1
Comment 1 Marco Menardi 2012-12-29 22:17:34 UTC
I can confirm the issue as described by the reporter, XP and Debian GNU/Linux, both beta2.
I think this is again related to the Helvetica font used in the document and that is not present in GNU/Linux.
Never less the final blank space at the end of the lines should be an issue itself, since makes no sense (and is not in ALL lines).
I suggest the developers to have a look at bug #58622 also.
I've attached a very limited version of the document, with only the same text included in the description of the issue by the reporter, and the pdf produced with 3.6.2 and 4.0b2 under GNU/Linux that shows the problem, that so seems to be older than 4.x branch, and the one produced with 4.0beta2 under XP.
Comment 2 Marco Menardi 2012-12-29 22:18:39 UTC
Created attachment 72278 [details]
test odt document with Helvetica font used (and probably "embedded")
Comment 3 Marco Menardi 2012-12-29 22:19:24 UTC
Created attachment 72279 [details]
pdf created by 3.6.2 under GNU/Linux
Comment 4 Marco Menardi 2012-12-29 22:19:53 UTC
Created attachment 72280 [details]
pdf created by 4.0.beta2 under GNU/Linux
Comment 5 Marco Menardi 2012-12-29 22:21:13 UTC
Created attachment 72281 [details]
pdf created by 4.0.beta2 under Windows XP
Comment 6 ign_christian 2013-09-28 03:16:38 UTC
Perhaps problem with auto alignment, because problem gone if we press enter after end line.
Comment 7 QA Administrators 2015-04-19 03:21:10 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2016-09-20 09:24:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920